# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:56:40 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	B
%define	pnam	Utils
Summary:	B::Utils - Helper functions for op tree manipulation
Summary(pl):	B::Utils - funkcje pomocnicze do obrbki drzewa op
Name:		perl-B-Utils
Version:	0.04
Release:	4
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
Conflicts:	perl-Module-Info
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These functions make it easier to manipulate the op tree.

%description -l pl
Te funkcje uatwiaj obrabianie drzewa op.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-B-Utils.spec,v $
Revision 1.5.2.1  2003/03/13 00:56:40  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:36:48  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:45  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/10 19:55:42  qboosh
- pl description, release 3

Revision 1.2  2002/09/05 21:11:46  radek
- release 2
- added Conflicts: perl-Module-Info

Revision 1.1  2002/09/01 09:00:43  radek
- new, STBR
